PDA

View Full Version : Installing SLED & need more development packages



susecmail
28-Aug-2013, 04:33
Just installed SLED and got the 60 day trial key and went through the install process and noticed that the development packages I need were not included. Is there a different repository to load after install to get those? Specifically, I'm looking for:


Ruby on Rails
Python 2.7.x
Perl 5.x
Tcl/Tk
Lua
etc...


Is there a website available that is similar to opensuse-guide.org? Thank you :)

malcolmlewis
28-Aug-2013, 04:37
Hi
You need to download the SDK iso image, you can then use YaST add on product to point at the iso image, this will add the iso image as a local repository and then add the online repositories. Or you can log into the Novell Customer center and check the mirror credentials to add manually.

You don't say which version of SLED.... so downloads are here.
http://download.novell.com/index.jsp?&search=Search&families=8389

susecmail
28-Aug-2013, 05:15
There's not an SDK repository? And, do I need both SDK DVDs? I have the 11.3 SLED.

Thank you for the quick answer.

malcolmlewis
28-Aug-2013, 05:24
There's not an SDK repository? And, do I need both SDK DVDs? I have the 11.3 SLED.

Thank you for the quick answer.
Hi
Just DVD1, DVD2 contains the src rpms if you want them....

susecmail
28-Aug-2013, 19:24
Okay, downloaded it and now I'm going to try and install a couple packages; is it possible to update from python 2.6 to 2.7.x?

Some of these packages are 2-3 years old and cause dependency issues when trying to install certain software, (i.e., trying to install Red Note Book).

malcolmlewis
28-Aug-2013, 21:06
Okay, downloaded it and now I'm going to try and install a couple packages; is it possible to update from python 2.6 to 2.7.x?

Some of these packages are 2-3 years old and cause dependency issues when trying to install certain software, (i.e., trying to install Red Note Book).
Hi
You would need to look at using OBS to build (unsupported of course) for example Red Notebook is built in the GNOME:Apps repository;
https://build.opensuse.org/package/view_file/GNOME:Apps/rednotebook/rednotebook.spec?expand=1
If you grabbed some of the build dependencies from devel:languages:python on OBS for SLE 11 SP3 http://download.opensuse.org/repositories/devel:/languages:/python/SLE_11_SP3/

If you can get them installed locally, rebuilding the src rpm shouldn't be an issue. Else ask the GNOME:Apps maintainers if they can enable the SLE_11_SP3 repo and add the build requirements...